package com.kingdee.eas.custom.bill.salary;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPayPacketEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractPayPacketEntryInfo()
    {
        this("id");
    }
    protected AbstractPayPacketEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.bill.salary.PayPacketInfo getParent()
    {
        return (com.kingdee.eas.custom.bill.salary.PayPacketInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.bill.salary.PayPacketInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:分录's 月份property 
     */
    public java.util.Date getMonth()
    {
        return getDate("month");
    }
    public void setMonth(java.util.Date item)
    {
        setDate("month", item);
    }
    /**
     * Object:分录's 金额property 
     */
    public java.math.BigDecimal getMoney()
    {
        return getBigDecimal("money");
    }
    public void setMoney(java.math.BigDecimal item)
    {
        setBigDecimal("money", item);
    }
    /**
     * Object:分录's 变更前金额property 
     */
    public java.math.BigDecimal getChangeAmount()
    {
        return getBigDecimal("changeAmount");
    }
    public void setChangeAmount(java.math.BigDecimal item)
    {
        setBigDecimal("changeAmount", item);
    }
    /**
     * Object:分录's 补发金额property 
     */
    public java.math.BigDecimal getReissueAmount()
    {
        return getBigDecimal("reissueAmount");
    }
    public void setReissueAmount(java.math.BigDecimal item)
    {
        setBigDecimal("reissueAmount", item);
    }
    /**
     * Object:分录's 应发金额property 
     */
    public java.math.BigDecimal getSalary()
    {
        return getBigDecimal("salary");
    }
    public void setSalary(java.math.BigDecimal item)
    {
        setBigDecimal("salary", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("C7B84004");
    }
}